Page MenuHomePhabricator

Approve the Phabricator project guidelines
Closed, ResolvedPublic

Description

Before announcing the opening of new project requests, we should be on the same page about the process.

Please check https://www.mediawiki.org/wiki/Phabricator/Requesting_a_new_project and comment or edit accordingly.

This process should be applied to all new project requests.

PS: we might want to enforce it to the existing projects (especially the Policy part, where we probably have many exceptions for no good reason) but there is no rush for this, and we can discuss it in a new task if needed.

Event Timeline

Qgil created this task.Oct 19 2014, 7:46 AM
Qgil updated the task description. (Show Details)
Qgil raised the priority of this task from to High.
Qgil claimed this task.
Qgil added a project: Phabricator.
Qgil changed Security from none to None.
Qgil added subscribers: Qgil, mmodell, chasemp, Aklapper.
Qgil added a comment.Oct 19 2014, 8:05 AM

Slightly related: T706: Requests for addition to the #acl*Project-Admins group (in comments). Not blocking a quick approval of the current draft guidelines.

Byfserag raised the priority of this task from High to Unbreak Now!.Oct 19 2014, 11:45 AM
Byfserag added a subscriber: Byfserag.
Aklapper lowered the priority of this task from Unbreak Now! to High.Oct 19 2014, 12:44 PM

Byfserag: Not sure why you set this to 'Unbreak now' - feel free to elaborate. Resetting to 'High'.

As discussed in meeting today (input by Chase mostly):

Qgil added a comment.Oct 21 2014, 12:32 AM

Page edited, and I think this is good enough to open the gates. From now on, please create only projects following this process (sprint and release projects can be created right away)

Fixed with a link.

  • Drop Hashtags for the time being? Confusing.

Done. Hashtags are still covered in the guidelines.

  • Question to add to users: Is this project (membership) restricted to a certain number of users?

The actual question is why the membership of a new project needs to be restricted, and we need to ask it to those requesting it. They need to be aware that, by restricting membership, they are also restricting how easy is to subscribe to / watch the activity of their project. See https://www.mediawiki.org/wiki/Phabricator/Requesting_a_new_project#Restricting_Joinable_By

  • Move visibility to the bottom and explain why this project needs to be more strict?

Actually I cannot think of any use case to limit the visibility of a project. See https://www.mediawiki.org/wiki/Phabricator/Requesting_a_new_project#Restricting_Visible_To

Qgil closed this task as Resolved.Oct 21 2014, 12:52 AM

... and announced.

What does "drop hashtags" mean? I see a hashtags section at https://phabricator.wikimedia.org/project/view/11/, but I'm not sure what purpose it serves.

Qgil added a comment.Oct 26 2014, 4:33 AM

It means this, simplifying the instructions for requesting a new project.

Hashtags are explained here: https://www.mediawiki.org/wiki/Phabricator/Requesting_a_new_project#Additional_hashtags

Qgil added a comment.EditedNov 6 2014, 11:16 PM

I have just learned something interesting about project permissions. The "Editable By" permission also defines who can move cards in the workboard of the project. Test: https://phab-01.wmflabs.org/project/board/1/

Many teams are concerned about users not really aware of what is a sprint go and mess with their boards, where every card is in a certain position for a reason. This solves the project. While "backlog" type of projects can be editable by all users making it easier to watch their activity, sprint type of projects (disposable after a few weeks and heavily managed) could be set to Editable By the team. I would not put this as a default recommendation, but I would mention it in the guidelines as a possibility especially for Sprint and Release types of projects.

Posting this here because it's probably not worth an own task...

Qgil added a comment.Nov 7 2014, 10:19 AM

Posting this here because it's probably not worth an own task...

Ah, the right place for this topic is T819: Restricting modification of tasks when they enter sprints.